diff mbox

[U-Boot,v5,11/15] MAKEALL: adjust for Kconfig

Message ID 1406174422-13966-12-git-send-email-yamada.m@jp.panasonic.com
State Superseded
Headers show

Commit Message

Masahiro Yamada July 24, 2014, 4 a.m. UTC
Use "make <board>_defconfig" instead of "make <board>_config".

Invoke tools/genboardscfg.py to generate boards.cfg when it is missing.

Signed-off-by: Masahiro Yamada <yamada.m@jp.panasonic.com>
---

Changes in v5: None
Changes in v4:
  - Generate boards.cfg automatically if it is missing

Changes in v3: None
Changes in v2: None

 MAKEALL | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

Comments

Simon Glass July 25, 2014, 11:24 p.m. UTC | #1
Hi Masahiro,

On 24 July 2014 05:00, Masahiro Yamada <yamada.m@jp.panasonic.com> wrote:
>
> Use "make <board>_defconfig" instead of "make <board>_config".
>
> Invoke tools/genboardscfg.py to generate boards.cfg when it is missing.
>
> Signed-off-by: Masahiro Yamada <yamada.m@jp.panasonic.com>
> ---
>
Acked-by: Simon Glass <sjg@chromium.org>

My only comment is whether we can split out the ARM boards also? We
could do it by ARM core perhaps.

Regards,
Simon
Simon Glass July 26, 2014, 8:34 a.m. UTC | #2
Hi,

On 26 July 2014 00:24, Simon Glass <sjg@chromium.org> wrote:
> My only comment is whether we can split out the ARM boards also? We
> could do it by ARM core perhaps.

Sorry, this should have been a comment for the whole series, or
perhaps the 'kconfig: add board Kconfig and defconfig files' patch.

Regards,
Simon
diff mbox

Patch

diff --git a/MAKEALL b/MAKEALL
index 9510982..5c2567a 100755
--- a/MAKEALL
+++ b/MAKEALL
@@ -171,6 +171,14 @@  GNU_MAKE=$(scripts/show-gnu-make) || {
 # echo "Remaining arguments:"
 # for arg do echo '--> '"\`$arg'" ; done
 
+if [ ! -r boards.cfg ]; then
+	echo "Could not find boards.cfg"
+	tools/genboardscfg.py || {
+		echo "Failed to generate boards.cfg" >&2
+		exit 1
+	}
+fi
+
 FILTER="\$1 !~ /^#/"
 [ "$opt_a" ] && FILTER="${FILTER} && $opt_a"
 [ "$opt_c" ] && FILTER="${FILTER} && $opt_c"
@@ -512,9 +520,9 @@  get_target_location() {
 
 	set ${line}
 
-	CONFIG_NAME="${7%_config}"
+	CONFIG_NAME="${7%_defconfig}"
 
-	[ "${BOARD_NAME}" ] || BOARD_NAME="${7%_config}"
+	[ "${BOARD_NAME}" ] || BOARD_NAME="${7%_defconfig}"
 
 	if [ $# -gt 5 ]; then
 		if [ "$6" = "-" ] ; then
@@ -651,7 +659,7 @@  build_target() {
 	fi
 
 	${MAKE} distclean >/dev/null
-	${MAKE} -s ${target}_config
+	${MAKE} -s ${target}_defconfig
 
 	${MAKE} ${JOBS} ${CHECK} all \
 		>${LOG_DIR}/$target.MAKELOG 2> ${LOG_DIR}/$target.ERR